%define upstream_name	 DBIx-Class-Loader
%define upstream_version 0.21

#global __provides_exclude perl\\(DB::Main

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:	Dynamic definition of DBIx::Class sub classes
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(DBD::SQLite2)
BuildRequires:	perl(Lingua::EN::Inflect)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
BuildRequires:	perl-UNIVERSAL-require
BuildArch:	noarch


%description
DBIx::Class::Loader automate the definition of DBIx::Class sub-classes by
scanning table schemas and setting up columns and primary keys.  Class names
are defined by table names and the namespace option. The only required
arguments are namespace and dsn.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL installdirs=vendor destdir=%{buildroot}
make

%check
##export PG_NAME="dbi:Pg:dbname=test;host=localhost"
##export PG_USER=pgtest
##export PG_PASS='pgtest'
##export MYSQL_NAME="dbi:mysql:database=test;host=localhost"
##export MYSQL_USER=mysqltest
##export MYSQL_PASS='mysqltest'
#make test

%install
make install

%files
%doc Changes META.yml
%{perl_vendorlib}/DBIx
%{_mandir}/man*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.210.0-7.mga6
+ Revision: 1025465
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.210.0-6.mga6
+ Revision: 933350
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.210.0-5.mga5
+ Revision: 746287
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.210.0-4.mga5
+ Revision: 684123
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.210.0-3.mga4
+ Revision: 510467
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-2.mga3
+ Revision: 365124
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.210.0-1.mga1
+ Revision: 31861
- mageia rebuild
- imported package perl-DBIx-Class-Loader


* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.210.0-1mdv2010.0
+ Revision: 408952
- rebuild using %%perl_convert_version

* Mon Sep 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.21-2mdv2009.0
+ Revision: 289470
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.21-1mdv2008.1
+ Revision: 135833
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 07 2007 Buchan Milne <bgmilne@mandriva.org> 0.21-1mdv2008.0
+ Revision: 24906
- Import perl-DBIx-Class-Loader

